Forums

Diablo 3 2.0.2, launcher "Waiting..."

and stuck on Hero list loading and very slow to close

Auteur Réponses
gluttony Vendredi 14 Mars 2014 à 10:20
gluttonyAnonymous

Hello,

After having successfully started and played Diablo III, thanks to this post: http://chapeaulinux.org/diablo-iii-2-0-1-update-on-wine/ I have now three problems:

  1. I had just the two problems below when writing this post but while trying again I had a new one: launcher is stuck on "Waiting...", see screenshot below:
    Diablo III launcher "Waiting..."
  2. Very often, heroes list does not load after authentication, first times it worked fine after having changed wine version (from 1.7.13 to 1.7.14), second after rebooting the system. But now, every try failed, list is never loaded.
  3. Secondly but not really a big problem, game is very slow to close, takes two or three minutes to close.
Here are informations relative to my environment:
  • Distribution: Linux Mint 16
  • PlayOnLinux: version 4.2.2
  • wine: 1.7.14
  • Installation: since my system is on a SSD (then not much space), I put the ~/.PlayOnLinux/wineprefix on another partition, that is historically NTFS since I was under Windows 7, and by the way I have a warning at startup saying "Error in FS_Check
    The following file is located on a fuse filesystem.
    It might prevent wine from working") but it seems not to be the problem since it was before working well.
  • GPU: GeForce GTX 570, 331.49 drivers
  • wine options: modified like described in http://chapeaulinux.org/diablo-iii-2-0-1-update-on-wine/.

Thanks for your help and best regards ;)


G.
allenskd Samedi 15 Mars 2014 à 2:21
allenskdAnonymous

Please try installing WINE 1.5.5-DiabloIII_v3. It's what's used by Diablo 3 PoL install and it works really well, at least in my case and it should for you too.

I agree the FS_Check HAS TO GO. it's cumbersome. I already know about FUSE, no need to tell me every minute
gluttony Lundi 17 Mars 2014 à 8:21
gluttonyAnonymous

Thanks for your answer, I forgot to tell, I first tried to install the game with 1.5.5-DiabloIII_v3 but there were several problem, that's where I found the solution on chapeaulinux that worked well for a while. But now I have the new problems I described above.

But maybe I missed something and 1.5.5-DiabloIII_v3 has now been updated to work with Diablo III 2.0.1 and above ?

G.
petch Lundi 17 Mars 2014 à 13:36
petch
Développeur

@allenskd: you can open PlayOnLinux console (Tools > PlayOnLinux console), and type
POL_Config_Read NO_FSCHECK TRUE
If things break you can keep the pieces.